sc::LocalSCMatrixKit(3)

NAME
sc::LocalSCMatrixKit - The LocalSCMatrixKit produces matrices that work in a single processor environment.

SYNOPSIS

#include <local.h>

Inherits sc::SCMatrixKit.

  Public Methods
LocalSCMatrixKit ()
LocalSCMatrixKit (const Ref< KeyVal > &)
~LocalSCMatrixKit ()
SCMatrix * matrix (const RefSCDimension &, const RefSCDimension &)
Given the dimensions, create matrices or vectors.
SymmSCMatrix * symmmatrix (const RefSCDimension &)
DiagSCMatrix * diagmatrix (const RefSCDimension &)
SCVector * vector (const RefSCDimension &)

DETAILED DESCRIPTION

The LocalSCMatrixKit produces matrices that work in a single processor environment.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.